Subject: bug#13352: [PATCH] cp: ignore EEXIST errors from mkdir

From: Mike Frysinger <[email-masked]>
Date: Fri, 4 Jan 2013 00:16:39 -0500

On Thursday 03 January 2013 19:17:03 Paul Eggert wrote:
> Thanks for the bug report, but I'm not sure that's the right
> fix.  Wouldn't it be better to address the following FIXME in cp.c?
> 
>    /* FIXME: Synch this function with the one in ../lib/mkdir-p.c.  */
> 
> The function in mkdir-p.c doesn't have the bug.

i thought it might, but i didn't want to get into the nuances here.  `mkdir -
p` isn't copying a tree and its set of perms like `cp -pR` does.  it might not 
actually affect the code, but i'm not familiar enough with the code base to 
say.
-mike